Bug 432901 - Please Update to 011
Please Update to 011
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: b43-fwcutter (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 19:55 EST by Jonathan Steffan
Modified: 2008-03-01 04:25 EST (History)
1 user (show)

See Also:
Fixed In Version: 011-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 04:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2008-02-14 19:55:21 EST
Description of problem:
http://linuxwireless.org/en/users/Drivers/b43 states to use 011. Please update
unless there is some technical reason that the Fedora kernel needs 008.

Version-Release number of selected component (if applicable):
b43-fwcutter-008-1.fc8

How reproducible:
Always

Additional info:
I'm trying to track down why bug 413291 (also bug 430210) exists. Specifically,
why I can't use 802.11b. If the b43-fwcutter can't be updated for a technical
reason, please inform so I can build the package myself.
Comment 1 John W. Linville 2008-02-15 11:32:27 EST
010 should already be available in updates, any idea what changes in 011?
Comment 2 Jonathan Steffan 2008-02-15 14:06:24 EST
I don't know, nor can find out in about 15 minutes of googling. I am just
referencing the documentation.
Comment 3 John W. Linville 2008-02-15 15:33:05 EST
The developers indicate that the difference between 010 and 011 is basically 
only in documentation.  You should be able to get 010 from updates and use 
that for now.
Comment 4 Fedora Update System 2008-02-15 16:30:00 EST
b43-fwcutter-011-3.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-02-18 22:11:59 EST
b43-fwcutter-011-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update b43-fwcutter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1761
Comment 6 Gerald Cox 2008-02-19 22:04:38 EST
Appears that the b43-fwcutter-10 didn't allow the extract of all the firmware
that was allowed in the b43-fwcutter-8 release.  The b43-fwcutter-11 release
restores that functionality.  I've tested all three.  The only ones which worked
for me were 8 and 11.  Here is the output from each version:

b43-fwcutter version 008

Extracting firmware is possible from these binary driver files:

<driver>        <filename>              <microcode>     <MD5 checksum>

b43legacy       wl_apsta.o              295.14         
e08665c5c5b66beb9c3b2dd54aa80cb3
b43             wl_apsta.o              351.126        
9207bc565c2fc9fa1591f6c7911d3fc0
b43             wl_apsta_mimo.o         351.126        
722e2e0d8cc04b8f118bb5afe6829ff9
b43             wl_ap.o                 410.2160       
1e4763b4cb8cfbaae43e5c6d3d6b2ae7

b43-fwcutter version 010

Extracting firmware is possible from these binary driver files:

<driver>        <filename>              <microcode>     <MD5 checksum>

b43legacy       wl_apsta.o              295.14         
e08665c5c5b66beb9c3b2dd54aa80cb3
b43             wl_apsta_mimo.o         410.2160       
cb8d70972b885b1f8883b943c0261a3c

b43-fwcutter version 011

Extracting firmware is possible from these binary driver files.
The <ID> column shows the unique identifier string for your firmware.
You must select the firmware with the same ID as printed by the kernel driver on
modprobe.
Note that only recent drivers print such a message on modprobe.
Please read http://linuxwireless.org/en/users/Drivers/b43#devicefirmware

<driver>        <filename>              <microcode>     <ID>    <MD5 checksum>

b43legacy       wl_apsta.o              295.14          FW10   
e08665c5c5b66beb9c3b2dd54aa80cb3
b43             wl_apsta.o              351.126         FW11   
9207bc565c2fc9fa1591f6c7911d3fc0
b43             wl_apsta_mimo.o         351.126         FW11   
722e2e0d8cc04b8f118bb5afe6829ff9
b43             wl_apsta_mimo.o         410.2160        FW13   
cb8d70972b885b1f8883b943c0261a3c
Comment 7 Jonathan Steffan 2008-02-22 02:39:48 EST
I've tested 011 and am happy to report it works.
Comment 8 Fedora Update System 2008-03-01 04:25:50 EST
b43-fwcutter-011-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.